#1737 closed defect (fixed)

mpc8313erdb doesn't build

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

gmake[3]: Entering directory `/users/rtems/src/rtems-cvs/rtems.orig/BUILD/powerpc-rtems4.11/c/mpc8313erdb/lib/libcpu/powerpc'
powerpc-rtems4.11-gcc --pipe -B../../../../.././lib/ -B../../../../.././mpc8313erdb/lib/ -specs bsp_specs -qrtems -DPACKAGE_NAME=\"rtems-c-src-lib-libcpu-powerpc\" -DPACKAGE_TARNAME=\"rtems-c-src-lib-libcpu-powerpc\" -DPACKAGE_VERSION=\"4.10.99.0\" -DPACKAGE_STRING=\"rtems-c-src-lib-libcpu-powerpc\ 4.10.99.0\" -DPACKAGE_BUGREPORT=\"http://www.rtems.org/bugzilla\" -DPACKAGE_URL=\"\" -I. -I../../../../../../../c/src/lib/libcpu/powerpc -isystem ../../../../.././mpc8313erdb/lib/include -mcpu=603e -mstrict-align -fno-strict-aliasing -meabi -msdata -fno-common -O2 -g -fno-keep-inline-functions -Wall -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -MT mpc6xx/timer/mpc6xx_timer_rel-timer.o -MD -MP -MF mpc6xx/timer/.deps/mpc6xx_timer_rel-timer.Tpo -c -o mpc6xx/timer/mpc6xx_timer_rel-timer.o test -f 'mpc6xx/timer/timer.c' || echo '../../../../../../../c/src/lib/libcpu/powerpc/'mpc6xx/timer/timer.c
In file included from ../../../../.././mpc8313erdb/lib/include/bsp.h:33:0,

from ../../../../../../../c/src/lib/libcpu/powerpc/mpc6xx/timer/timer.c:20:

../../../../.././mpc8313erdb/lib/include/bsp/hwreg_vals.h:118:2: error: #error "board type not defined"
../../../../.././mpc8313erdb/lib/include/bsp/hwreg_vals.h:270:2: error: #error "board type not defined"
gmake[3]: * [mpc6xx/timer/mpc6xx_timer_rel-timer.o] Error 1
gmake[3]: Leaving directory `/users/rtems/src/rtems-cvs/rtems.orig/BUILD/powerpc-rtems4.11/c/mpc8313erdb/lib/libcpu/powerpc'
gmake[2]:
* [all-recursive] Error 1

AFAIS, the BSP defines-cascade in libbsp/powerpc/gen83xx/include/hwreg_vals.h doesn't acknowledge this BSP (no clause for #define MPC8313ERDB).

Change History (3)

comment:1 Changed on Feb 9, 2011 at 9:33:33 AM by Sebastian Huber

Cc: Sebastian Huber added

comment:2 Changed on Jul 30, 2013 at 7:00:45 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

Should be fixed.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.